package com.younike.common.constant;

/**
 * smstype
 * 短信类型
 *  PROCESSING
 *  PENDING
 * @author tianh
 * @date 2021/12/13
 */
public enum SMSType {

    /** 您发布的共享车位${parkNo}已被预定，租赁时间${time}，可以前往优安停查看 */
    NEW_ORDER_RESERVE("SMS_237056623","车位-新订单预定"),

    /** 车辆${carNo}租赁共享车位${parkNo}距离出租结束时间已超过${time}分钟， 请督促租客${phone1}尽快离场，或联系业主${phone2}协商处理 */
    ORDER_END_ADMIN("SMS_237056623","车位-超时通知保安"),

    /** 车辆${carNo}租赁共享车位${parkNo}距离出租结束时间已超过${time}分钟， 请督促租客${phone1}尽快离场，或联系业主${phone2}协商处理 */
    USER_ORDER_END_USER("SMS_237056621","车位-超时通知业主"),

    /** 您的车辆${carNo}租赁共享车位${parkNo}距离出租结束时间已超过${time}分钟， 请尽快离场，以免影响业主停车，谢谢。 */
    TENANT_ORDER_END_TENANT("SMS_237061551","车位-超时通知租客"),

    /** 您的车辆${carNo}租赁共享车位${parkNo}距离出租结束时间只剩${time}分钟， 请尽快离场，以免影响业主停车，谢谢。 */
    TENANT_MOBILIZATION_TENANT("SMS_237056587","小程序优先停 租客离场前通知租客"),

    /** 车牌${carNo}的车辆是来自共享车位临时租用车位${parkNo}的车辆，租赁时间${time}，正离开${parkName}，请注意观察 */
    TENANT_MOBILIZATION_ADMIN("SMS_237061511","优安停小程序 车辆离场时通知保安"),

    /** 车牌${carNo}是来自共享车位临时租用车位${parkNo}的车辆，租赁时间${time}，正进入${parkName}，请注意观察 */
    TENANT_ADMISSION_ADMIN("SMS_237066519","共享车位入场，通知保安"),

    /** 尊敬的业主，您好！您发布的共享车位${parkNo}租赁时间${date1}～${date2}即将开始，请在订单开始${time}分钟前驶离停车场，感谢您的理解和支持。 */
    ORDER_START_BEFORE_USER("SMS_238137399","新车位-车主离场"),

    /** 尊敬的租客，您好！您预约的共享车位${parkNo}租赁时间${date1}～${date2}即将开始，请在开始时间${time}分钟前驶离停车场，订单开始后重新进入停车场，感谢您的理解和支持。  */
    ORDER_START_BEFORE_TEN("SMS_238157290","新车位-租客离场"),

    /** 您在车位出租期间进场，请出场重新进场，否则会持续计算临停费用 */
    ORDER_END_USER("SMS_237215378","优安停小程序 车位-车主期间进场"),

//    /** 尊敬的业主，您好！您发布的共享车位${parkNo}租赁时间${date1}～${date2}，因您没有及时驶离停车场，本次订单取消。很抱歉因此给您造成的不便。如有任何疑问，请联系客服人员处理。 */
//    ORDER_CANCEL_USER("SMS_238157234","小程序 订单取消通知"),
//    /**尊敬的租客，您好！您预约的共享车位${parkNo}租赁时间${date1}～${date2}，因您的车辆在订单开始时仍在场，本次订单取消。很抱歉因此给您造成的不便。如有任何疑问，请联系客服人员处理。*/
//    ORDER_CANCEL_TANTE("SMS_238152452","小程序 订单取消通知"),
//    /** 租客车辆${carNo}租赁共享车位${parkNo}距离出租结束时间只剩${time}分钟，租赁时间${date}， 请督促租客${phone}尽快离场，以免影响业主停车，谢谢 */
    ORDER_END_BEFORE_ADMIN("SMS_237210423","优安停小程序 车辆即将结束通知保安"),

    /*
        租客车辆${carNo}租赁共享车位${parkNo}距离出租结束时间已超出${time}分钟，租赁时间${date}， 请督促租客${phone}尽快离场，以免影响业主停车，谢谢。
     */
    ORDER_END_AFTER_ADMIN("SMS_238163176", "车位-车辆在场通知保安"),

    /*
        尊敬的租客，您好！业主${phone}发布的共享车位${parkNo}租赁时间${date1}～${date2}，因业主没有驶离停车场，本次订单取消。很抱歉因此给您造成的不便。如有任何疑问，请联系客服人员处理。
    */

    ORDER_CANCEL_USER_USRERR("SMS_238162220","车位-订单取消通知-副本-租客"),
    /**
     * 尊敬的业主，您好！您于${time1}驶入停车场，因租客已于${time2}驶入停车场，此次您的车辆将会收取临停费用，请尽快驶离停车场，或在订单结束${time3}后重新进入停车场，以免持续计费。
     */
    ORDER_CANCEL_USER_TIP("SMS_238163081","新车位-业主后入场"),

    /**
     * 尊敬的业主，您好！租客${phone}已于${time}驶入停车场，请您在车位出租期间不要驶入停车场，避免产生临停费用。
     */
    ORDER_PARKIN_TENTIP("SMS_238163070","新车位-租客期间进场"),
    /**
     * 尊敬的业主，您好！您违反共享车位规定已于${time}驶入停车场，此次订单取消。由此给您带来的不便，我们深表歉意。如有疑问，请联系在线客服协商处理。
     */
    ORDER_CANCEL_USER_USRERR2("SMS_238158083","新车位-车主期间先入场-副本"),
    /**
     * 尊敬的租客，您好！业主${phone}违反规定已于${time}驶入停车场，此次订单取消。由此给您带来的不便，我们深表歉意。如有疑问，请联系在线客服协商处理。
     */
    ORDER_CANCEL_TEN_USRERR2("SMS_238138163","新车位-车主先入场-副本"),
    /*
        尊敬的业主，您好！您发布的共享车位${parkNo}租赁时间${date1}～${date2}，因您没有及时驶离停车场，本次订单取消。很抱歉因此给您造成的不便。如有任何疑问，请联系客服人员处理。
    */
    ORDER_CANCEL_TEN_USRERR("SMS_238157234","车位-订单取消通知-副本-业主违规"),

    /*
        尊敬的业主，您好！您发布的共享车位${parkNo}租赁时间${date1}～${date2}，因租客${phone}的车辆在订单开始时仍在场，本次订单取消。很抱歉因此给您造成的不便。如有任何疑问，请联系客服人员处理。
    */
    ORDER_CANCEL_USEER_TENERR("SMS_238152455","新车位-订单取消通知-业主-租客违规"),

    /*
        尊敬的租客，您好！您预约的共享车位${parkNo}租赁时间${date1}～${date2}，因您的车辆在订单开始时仍在场，本次订单取消。很抱歉因此给您造成的不便。如有任何疑问，请联系客服人员处理。
    */
    ORDER_CANCEL_TEN_TENERR("SMS_238152452","车位-订单取消通知-副本-业主违规"),

    /** 您的共享车位租赁时间${time}已开始，检测到您的车辆在此之前已进场，请出场结算临停费用重新进场，否则将会持续计算临停费用，且租赁订单费用不可退还 */
    ORDER_END_BEFORE_USER("SMS_237586392","优安停小程序 车辆即将结束通知业主"),

    /**
     * 尊敬的租客，您好！您预约的共享车位${parkNo}订单即将开始。为了更好的停车体验，请在${date1}后驶入停车场，并在${date2}前驶离，非常感谢您的使用，谢谢您的理解和支持。
     */
    ORDER_START_TENERR("SMS_238157262","新车位-订单开始通知-租客");


    private final String code;

    private final String name;

    SMSType(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

}
